/*
This code is designed to anonymize the data set & add some labels.
Starting point is the labelled data from Sonya & the data received from DRA on 4 December.
by Ingrid Woolard
iwoolard@iafrica.com
*/

clear all
capture log close

* jorge: home
global d04 "c:\jal\research\kids3\2004\v01\stata\names"
global out "c:\jal\research\kids3\2004\v01\stata\clean"

* Ingrid
global d04 "c:\data\kids3\26Jan2005\clean"
global out "c:\data\kids3\26Jan2005\final"

use $d04\roster2004, replace

rename popgroup race
lab def race 1"African" 2"Coloured" 3"Indian" 4"White"

gen dob_year=doby
replace dob_year=doby04 if dob_year==.

gen dob_month=dobm
replace dob_month=dobm04 if dob_month==.

gen dob_day=dobd
replace dob_day=dobd04 if dob_day==.

gen dob=dob93
replace dob=dob04 if dob==.

replace dob=. if dob==-137775

drop doby dobm dobd doby04 dobm04 dobd04 dob04 dob93

lab var dob_y "Year of birth"
lab var dob_m "Month of birth"
lab var dob_d "Day of birth"
label var dob "Date of Birth"

format dob %d

 note dob: Still some discrepancies between Day, Month, Year & DoB & Age. Need input from Ian.

** drop name of respondent
drop a2_1 a2n

replace resident=reside04 if resident==.
drop reside04

replace relhd=rhd if relhd==.
drop rhd

replace activity=activit04 if activity==.
drop activit04

replace activito=activo if activito==""
drop activo04 

replace age=age04 if age==.
drop age04

replace gender=gender04 if gender==.

drop gender04

replace cores=-2 if cores==.

drop draid qesnum a1 hhid_DRA  

order hhid2004 pcode ckn

rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 pcode

saveold $out\roster2004, replace

use $d04\section1_3, replace
drop  draid qesnum hhid_DRA 
replace die_date=. if die_date==-137775
order hhid2004 ckn
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section1_3, replace

clear
use $d04\cover, replace
drop a7 a8 supname a11 hhsur lat lon alt name phone add section
drop  draid qesnum a2
order hhid2004 ckn
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\cover, replace

use $d04\hhcard, replace
drop draid qesnum a2 name
order hhid2004 pcode ckn
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 pcode
saveold $out\hhcard, replace

use $d04\section1_4, replace
drop  draid qesnum hhid_DRA  dec
order hhid2004 pcode ckn
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 pcode
saveold $out\section1_4, replace

use $d04\section1_6, replace
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 pcode
saveold $out\section1_6, replace

use $d04\section2, replace
drop  draid qesnum a2
order hhid2004 ckn
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section2, replace

use $d04\section3, replace
drop  draid qesnum hhid_DRA 
order hhid2004 ckn
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section3, replace

use $d04\section4_1, replace
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 resp

rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section4_1, replace

use $d04\section4_2, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 resp
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section4_2, replace

use $d04\section4_3, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 resp
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section4_3, replace

use $d04\section4_4, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 resp
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section4_4, replace

use $d04\section4_5, clear
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn a1 resp
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 pcode
saveold $out\section4_5, replace

use $d04\section5_1, clear
drop  draid qesnum hhid_DRA  cont
order hhid2004 ckn a1 resp
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section5_1, replace

use $d04\section5_2, clear
drop  draid qesnum hhid_DRA  recname
order hhid2004 ckn a1 resp
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section5_2, replace

use $d04\section6, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 resp
compress
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
sort hhid2004 
saveold $out\section6, replace

use $d04\section7_1, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 resp
compress
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
sort hhid2004 
saveold $out\section7_1, replace

use $d04\section7_2, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 resp
compress
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
sort hhid2004 
saveold $out\section7_2, replace

use $d04\section8_1_1, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
sort hhid2004 
saveold $out\section8_1_1, replace

use $d04\section8_1_2, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_1_2, replace

use $d04\section8_1_3, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_1_3, replace

use $d04\section8_1_4a, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_1_4a, replace

use $d04\section8_1_4b, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_1_4b, replace

use $d04\section8_1_4linear, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_1_4linear, replace

use $d04\section8_2_1, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab var qtype "type of questionnaire"
lab val qtype qtype
compress
saveold $out\section8_2_1, replace

use $d04\section8_2_2, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_2_2, replace

use $d04\section8_2_3, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_2_3, replace

use $d04\section8_3, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_3, replace

use $d04\section8_4, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_4, replace

use $d04\section8_5, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_5, replace

use $d04\section8_6, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section8_6, replace

use $d04\section9_1, clear
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section9_1, replace

use $d04\section9_2, clear
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
compress
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
saveold $out\section9_2, replace

use $d04\section9_3, clear
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
compress
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
saveold $out\section9_3, replace

use $d04\section9_4, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
compress
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
saveold $out\section9_4, replace

use $d04\section9_5, clear
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
compress
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
saveold $out\section9_5, replace

use $d04\section9_6a, clear
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section9_6a, replace

use $d04\section10_1, clear
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section10_1, replace

use $d04\section10_2, clear
drop  draid qesnum hhid_DRA 
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section10_2, replace

use $d04\section10_3, clear
drop  draid qesnum hhid_DRA  n1a
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section10_3, replace

use $d04\section11_1, clear
drop  draid qesnum hhid_DRA  name
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section11_1, replace

use $d04\section11_2_1, clear
drop  draid qesnum hhid_DRA  resp
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section11_2_1, replace

use $d04\section11_2_2, clear
drop  draid qesnum hhid_DRA
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section11_2_2, replace

use $d04\section11_3a, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
compress
lab var qtype "type of questionnaire"
saveold $out\section11_3a, replace

use $d04\section11_3b, clear
drop  draid qesnum hhid_DRA 
order hhid2004 ckn a1 
sort hhid2004 
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
compress
lab var qtype "type of questionnaire"
saveold $out\section11_3b, replace

use $d04\section12_1, clear
drop  draid qesnum hhid_DRA 
order hhid2004 child ckn a1 
sort hhid2004 child
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section12_1, replace

use $d04\section12_2, clear
drop  draid qesnum hhid_DRA  name
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section12_2, replace

use $d04\section13_1, clear
drop  draid qesnum hhid_DRA  name
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section13_1, replace

use $d04\section13_2, clear
drop  draid qesnum hhid_DRA  name
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section13_2, replace

use $d04\section13_3, clear
drop  draid qesnum hhid_DRA  name
order hhid2004 pcode ckn a1 
sort hhid2004 pcode
rename ckn qtype
label def qtype 1"core" 2"next gen" 3"foster", modify
lab val qtype qtype
lab var qtype "type of questionnaire"
compress
saveold $out\section13_3, replace
