#delimit;

** NOTE: RUN RENAME.DO, THEN ANONYMOUS.DO AND THEN PCODE_FIX.DO;

clear all;

global IN "c:\data\kids3\26Jan2005\final";
global OUT "c:\data\kids3\version1.1";

use $OUT\ian\roster2004_clean.dta, clear;
keep hhid pcode;
sort hhid pcode;
note: TS - Version 1.1 for core team only; 
saveold $OUT\check, replace;

use $IN\hhcard.dta, clear;

drop if hhid==234032004;
drop if hhid==223016303;

replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;

order hhid clust pcode;
sort hhid2004 pcode;
merge hhid2004 pcode using $OUT\check;

tab _m;
keep if _m==3;
drop _merge;

label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";

sort hhid pcode;
note: TS - Version 1.1 for core team only; 
saveold $OUT\hhcard, replace;

use $IN\Section2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;

rename a1 cluster;
order hhid clust;

label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;

note: TS - Version 1.1 for core team only; 
saveold "$OUT\section2.dta", replace;

use $IN\section3.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section3.dta", replace;

use $IN\section4_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section4_1.dta", replace;

use $IN\section4_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section4_2.dta", replace;

use $IN\section4_3.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;

drop if pcode==-2;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section4_3.dta", replace;

use $IN\section4_4.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section4_4.dta", replace;

use $IN\section4_5.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
drop if pcode==-2;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section4_5.dta", replace;

use $IN\section5_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section5_1.dta", replace;

use $IN\section5_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section5_2.dta", replace;

use $IN\section6.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode1=104 if hhid==80003000 & pcode1==6;
replace pcode1=115 if hhid==221011040 & pcode1==1;
replace pcode1=9 if hhid==238016020 & pcode1==43;
replace pcode1=43 if hhid==238016040 & pcode1==44;
replace pcode1=103 if hhid==243006000 & pcode1==41;

replace pcode2=104 if hhid==80003000 & pcode2==6;
replace pcode2=115 if hhid==221011040 & pcode2==1;
replace pcode2=9 if hhid==238016020 & pcode2==43;
replace pcode2=43 if hhid==238016040 & pcode2==44;
replace pcode2=103 if hhid==243006000 & pcode2==41;

replace pcode3=104 if hhid==80003000 & pcode3==6;
replace pcode3=115 if hhid==221011040 & pcode3==1;
replace pcode3=9 if hhid==238016020 & pcode3==43;
replace pcode3=43 if hhid==238016040 & pcode3==44;
replace pcode3=103 if hhid==243006000 & pcode3==41;

drop if pcode1==-2;
sort hhid2004 pcode1 pcode2 pcode3;
rename a1 cluster;
order hhid clust pcode1 pcode2 pcode3;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section6.dta", replace;

use $IN\section7_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
sort hhid2004;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section7_1.dta", replace;

use $IN\section7_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
sort hhid2004;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section7_2.dta", replace;

use $IN\section8_1_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
sort hhid2004;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_1_1.dta", replace;

use $IN\section8_1_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
sort hhid2004;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_1_2.dta", replace;

use $IN\section8_1_3.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
order hhid clust;
sort hhid;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_1_3.dta", replace;

use $IN\section8_1_4a.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
order hhid clust;
sort hhid;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_1_4a.dta", replace;

use $IN\section8_1_4b.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_1_4b.dta", replace;

use $IN\section8_1_4linear.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_1_4linear.dta", replace;

use $IN\section8_2_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_2_1.dta", replace;

use $IN\section8_2_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_2_2.dta", replace;

use $IN\section8_2_3.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_2_3.dta", replace;

use $IN\section8_3.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_3.dta", replace;

use $IN\section8_4.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_4.dta", replace;

use $IN\section8_5.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_5.dta", replace;

use $IN\section8_6.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section8_6.dta", replace;

use $IN\section9_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section9_1.dta", replace;

use $IN\section9_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
drop if pcode==-2;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section9_2.dta", replace;

use $IN\section9_3.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
drop if pcode==-2;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section9_3.dta", replace;

use $IN\section9_4.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section9_4.dta", replace;

use $IN\section9_5.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
drop if pcode==-2;
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section9_5.dta", replace;

use $IN\section9_6a.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
rename a1 cluster;
order hhid clust pcode;
drop if pcode==-2;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section9_6a.dta", replace;

*Renaming variables in Section 9-6B because Sonya didn't do this section;
use c:\data\kids3\26Jan2005\section9_6b.dta, clear;
rename a2 hhid_DRA;
rename hhid hhid2004;
rename p1 pcode;
rename q1 work_s93;
rename q2 nwork_rn;
rename q11 educ_end;
rename q12 educ_job;
rename q13 jobttl;
rename a1_1 jobno;
rename q3 wrktype;
rename q4 begin_wrk;
rename q5_1 wrksal_b;
rename q5_2 tcode;
rename q6 wrk_hrs;
rename q7_1 wrksal_f;
rename q7_2 tcode2;
rename q8_1 wrk_time;
rename q8_2 tcode3;
rename q9 wrk_lve;
rename q10_1 nwrk_time;
rename q10_2 tcode4;
*rename q2o nwrk_rno;
rename q12o educ_jobo;
rename q4_1 begin_wrkm;
rename q4_2 begin_wrky;

drop draid qesnum hhid_DRA;
order hhid2004 pcode ckn a1; 
sort hhid2004 pcode;
rename ckn qtype;
label def qtype 1"core" 2"next gen" 3"foster", modify;
lab val qtype qtype;
lab var qtype "type of questionnaire";
compress;

drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid pcode;
save "$out\section9_6b.dta", replace;

use $IN\section10_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
drop if pcode==-2;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section10_1.dta", replace;

use $IN\section10_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;

drop if pcode==-2;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section10_2.dta", replace;

use $IN\section10_3.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";

sort hhid2004 pcode;
note: TS - Version 1.1 for core team only;
 saveold "$OUT\section10_3.dta", replace;

use $IN\section11_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;

note: TS - Version 1.1 for core team only; 
saveold "$OUT\section11_1.dta", replace;

use $IN\section11_2_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;

note: TS - Version 1.1 for core team only; 
saveold "$OUT\section11_2_1.dta", replace;

use $IN\section11_2_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;

rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;

note: TS - Version 1.1 for core team only; 
saveold "$OUT\section11_2_2.dta", replace;

use $IN\section11_3a.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;

replace pcode1=104 if hhid==80003000 & pcode1==6;
replace pcode1=115 if hhid==221011040 & pcode1==1;
replace pcode1=9 if hhid==238016020 & pcode1==43;
replace pcode1=43 if hhid==238016040 & pcode1==44;
replace pcode1=103 if hhid==243006000 & pcode1==41;

replace pcode2=104 if hhid==80003000 & pcode2==6;
replace pcode2=115 if hhid==221011040 & pcode2==1;
replace pcode2=9 if hhid==238016020 & pcode2==43;
replace pcode2=43 if hhid==238016040 & pcode2==44;
replace pcode2=103 if hhid==243006000 & pcode2==41;

replace pcode3=104 if hhid==80003000 & pcode3==6;
replace pcode3=115 if hhid==221011040 & pcode3==1;
replace pcode3=9 if hhid==238016020 & pcode3==43;
replace pcode3=43 if hhid==238016040 & pcode3==44;
replace pcode3=103 if hhid==243006000 & pcode3==41;

replace pcode4=104 if hhid==80003000 & pcode4==6;
replace pcode4=115 if hhid==221011040 & pcode4==1;
replace pcode4=9 if hhid==238016020 & pcode4==43;
replace pcode4=43 if hhid==238016040 & pcode4==44;
replace pcode4=103 if hhid==243006000 & pcode4==41;

rename a1 cluster;
order hhid clust pcode1 pcode2 pcode3 pcode4;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode1 pcode2 pcode3 pcode4;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section11_3a.dta", replace;

use $IN\section11_3b.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;

replace pcode1=104 if hhid==80003000 & pcode1==6;
replace pcode1=115 if hhid==221011040 & pcode1==1;
replace pcode1=9 if hhid==238016020 & pcode1==43;
replace pcode1=43 if hhid==238016040 & pcode1==44;
replace pcode1=103 if hhid==243006000 & pcode1==41;

replace pcode2=104 if hhid==80003000 & pcode2==6;
replace pcode2=115 if hhid==221011040 & pcode2==1;
replace pcode2=9 if hhid==238016020 & pcode2==43;
replace pcode2=43 if hhid==238016040 & pcode2==44;
replace pcode2=103 if hhid==243006000 & pcode2==41;

replace pcode3=104 if hhid==80003000 & pcode3==6;
replace pcode3=115 if hhid==221011040 & pcode3==1;
replace pcode3=9 if hhid==238016020 & pcode3==43;
replace pcode3=43 if hhid==238016040 & pcode3==44;
replace pcode3=103 if hhid==243006000 & pcode3==41;

replace pcode4=104 if hhid==80003000 & pcode4==6;
replace pcode4=115 if hhid==221011040 & pcode4==1;
replace pcode4=9 if hhid==238016020 & pcode4==43;
replace pcode4=43 if hhid==238016040 & pcode4==44;
replace pcode4=103 if hhid==243006000 & pcode4==41;

rename a1 cluster;
order hhid clust pcode1 pcode2 pcode3 pcode4;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode1 pcode2 pcode3 pcode4;

note: TS - Version 1.1 for core team only; 
saveold "$OUT\section11_3b.dta", replace;

use $IN\section12_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section12_1.dta", replace;

use $IN\section12_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
drop if pcode==-2;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section12_2.dta", replace;

use $IN\section13_1.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;

drop if pcode==-2;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section13_1.dta", replace;

use $IN\section13_2.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
drop if pcode==-2;
rename a1 cluster;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
order hhid clust pcode;
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section13_2.dta", replace;

use $IN\section13_3.dta, clear;
drop if hhid==234032004;
drop if hhid==223016303;
replace pcode=104 if hhid==80003000 & pcode==6;
replace pcode=115 if hhid==221011040 & pcode==1;
replace pcode=9 if hhid==238016020 & pcode==43;
replace pcode=43 if hhid==238016040 & pcode==44;
replace pcode=103 if hhid==243006000 & pcode==41;
drop if pcode==-2;
rename a1 cluster;
order hhid clust pcode;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section13_3.dta", replace;

use "C:\DATA\KIDS3\Version1.1\ian\cover_clean.dta", clear;
rename a1 cluster;
order hhid clust;
label var hhid  "9-digit KIDS-III household ID";
lab var clust "cluster number of original 1993 household";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\cover.dta", replace;

use "C:\DATA\KIDS3\Version1.1\ian\roster2004_clean.dta", clear;
order hhid pcode;
label var hhid  "9-digit KIDS-III household ID";
note drop dob;
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\roster2004.dta", replace;

use "C:\DATA\KIDS3\Version1.1\ian\section1_3_clean.dta", clear;
order hhid pcode;
label var hhid  "9-digit KIDS-III household ID";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only;
saveold "$OUT\section1_3.dta", replace;

use "C:\DATA\KIDS3\Version1.1\ian\section1_4_clean.dta", clear;
order hhid;
label var hhid  "9-digit KIDS-III household ID";
sort hhid2004;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section1_4.dta", replace;

use "C:\DATA\KIDS3\Version1.1\ian\section1_6_clean.dta", clear;
order hhid pcode;
label var hhid  "9-digit KIDS-III household ID";
sort hhid2004 pcode;
note: TS - Version 1.1 for core team only; 
saveold "$OUT\section1_6.dta", replace;

erase $OUT\check.dta ;
