/*
This code is designed to rename the variables in the data set
by Sonya Ravindranath
ravindranath@wisc.edu
*/

clear all
*set mem 10m

* sonya's
*global d04 "H:\private\KIDS_12-08-04"
*global out "H:\private\v01\renamevar"

* jorge: home
global d04 "c:\jal\research\kids3\2004\v01\stata\names"
global out "c:\jal\research\kids3\2004\v01\stata\clean"

* ingrid desktop & laptop

global d04 "c:\data\kids3\26Jan2005"
global out "c:\data\kids3\26Jan2005\clean"

*renaming hhcard
use $d04\householdcard.dta, clear
*Rename variables
rename hhid hhid2004
rename a3a relhd93
ren clus cluster
sort hhid2004 pcode
save "$out\hhcard.dta", replace

* renaming select
use $d04\select.dta, clear
*Rename variables
rename a2 hhid_DRA
rename hhid hhid2004
rename a1 cluster
ren q1 name
ren q2 pcode
ren q3 dobd04
ren q4 dobm04
sort hhid2004 pcode
save "$out\select.dta", replace

*Renaming variables in Section 1
use $d04\Section1.dta, clear
*First, need to drop all of the variables in this section that belong in Section 2
drop  q2_1_1 q2_1_1o q2_1_3 q2_1_5 q2_1_6 q2_1_7 q2_1_8 q2_1_9a q2_1_9b q2_1_9c q2_2_n1 q2_2n1o q2_2_n2 q2_2_n3 q2_2_n4 q2_3_1 q2_3_2 q2_4_1 q2_4n1 q2_4n2 q2_4n3
*Rename variables
*rename hhid04 hhid
rename hhid hhid2004
rename a9 supname
rename q1 agree_yn
rename hhsu hhsur
rename q2 commun
rename q3 section
rename v3_1 intvwr1
rename v4_1 date1
rename v6_1 began1
rename v7_1 ended1
rename v8_1 anthcode1
rename v3_2 intvwr2
rename v4_2 date2
rename v6_2 began2
rename v7_2 ended2
rename v8_2 anthcode2
rename v3_3 intvwr3
rename v4_3 date3
rename v6_3 began3
rename v7_3 ended3
rename v8_3 anthcode3
rename v3_4 intvwr4
rename v4_4 date4
rename v6_4 began4
rename v7_4 ended4
rename v8_4 anthcode4
*Sorting by household ID
sort hhid2004
save "$out\cover.dta", replace

*Renaming variables in Section 1-1
use $d04\section1_1.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename a3 pcode
rename  a1_1 cores
rename  a3a relhd93
rename  a4 gender
rename  n1 alive98
rename  n3 lived
rename a5 age
rename q2 dob9398
rename n5 activity 
rename a12 resident
*Renaming variables not explicit in survey, but in the data
rename q2d dobd
rename q2m dobm
rename q2y doby
rename n5o activito
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section1_1.dta", replace

*Renaming variables in Section 1-2
use $d04\section1_2.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename a1_1 pcode
rename a3 rhd93_04
rename a4 gender04
rename q1 age04
rename q2 dob04
rename n5 activit04
rename a12 reside04
*Renaming variables not explicit in survey, but in the data
rename q2d dobd04
rename q2m dobm04
rename q2y doby04
rename n5o activo04
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section1_2.dta", replace

*Renaming variables in Section 1-3
use $d04\section1_3.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename a1_1 pcode
rename q1 die_date
rename q2 dieinj_yn
rename q3 die_time
rename q4 dec_care
rename q5a care_off
rename q5b caregiv
rename q6 care_out
rename q7 care_wkr
rename q8 care_cons
rename q9 nocons
rename q10 aid
rename q11 grant
rename q12 bury_c
rename q13 bury_ins
rename q14a med_c
rename q14b travel_c
rename q14c health_c
rename q14d hosp_c
rename q14e other_c
rename q15a savings
rename q15b gifts
rename q15c loans_f
rename q15d loans_b
*Renaming variables not explicit in survey, but in the data
rename q1m die_datm
rename q1y die_daty
rename q8o care_cono
rename q9o nocons_o
rename q14t total_c
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section1_3.dta", replace

*Renaming variables in Section 1-4
use $d04\section1_4.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q1 dec_makr
rename q2 pcode
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section1_4.dta", replace

*Renaming variables in Section 1-5
use $d04\section1_5.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename n1 pcode
rename q6 care
rename n2 educ
rename q1 popgroup
rename n3 spouse
rename n4 father
rename n5 mother
*Renaming variables not explicit in survey, but in the data
rename n2o qual_o
rename n3o spouse_o
rename n4o father_o
rename n5o mother_o
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section1_5.dta", replace

*Renaming variables in Section 1-6
use $d04\section1_6.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename n1 pcode
rename n2 parent
rename n3 plisted
rename n4 ppcode
rename n5 palv_agdt
rename n6 page04
rename n7 pfinance
rename n8 pactiv
rename n9 peduc
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section1_6.dta", replace

*Merging sections 1 through 1-5. Please change to merge 1 through 1-6 when the variables in Section 1-6 are appropriately renamed.
*Merging sections 1.1, 1.2 & 1.5 - as per request from Ian.
use "$out\section1_1.dta", clear
merge hhid2004 pcode using "$out\section1_2.dta"
tab _merge
drop _merge
sort hhid2004 pcode
*merge hhid2004 pcode using "$out\section1_3.dta"
*tab _merge
*NOTE: When you do this, you get _merge==2, but all of those are "." values, so should be removed in later code
*drop _merge
*sort hhid2004 pcode
merge hhid2004 pcode using "$out\section1_5.dta"
tab _merge
*NOTE: When you do this, you get _merge==1, but all of those are "." values, so should be removed in later code
drop _merge
sort hhid2004 pcode
save "$out\roster2004.dta", replace 

stop;

*Renaming variables in Section 2
use $d04\Section1.dta, clear
*Note that the data on Section 2 was in a file entitled Section1 that includes the basic interview information
*The extra variables have been dropped and the relevant data saved in an appropriate file. 
*Renaming variables explicit in survey
*rename hhid04 hhid
rename hhid hhid2004
rename q2_1_1 dwel_typ
rename q2_1_3 rooms_oc
rename q2_1_5 ownship_
rename  q2_1_6 bond
rename q2_1_7 bond_owe
rename q2_1_8 sale_val
rename q2_1_9a pay_rent
rename q2_1_9b rent_act
rename q2_1_9c rent_mkt
rename q2_2_n1 wtsource
rename q2_2_n2 wfetch
rename q2_2_n3 wttrips
rename q2_2_n4 wttime
rename q2_3_1 toilet_c
rename q2_3_2 toilloc
rename q2_4_1 connecte
rename q2_4n1 woodcoll
rename q2_4n2 wdtrips
rename q2_4n3 wdtime
*Renaming variables not explicit in survey, but in the data
rename q2_1_1o dwel_o
rename q2_2n1o wtsourco
*Dropping variables irrelevant to Section 2
drop a7 a7d a8 a8d a9 a9d a11 a11d q1 sect hhsu lat lon alt q2 q3 v3_1 v4_1 v6_1 v7_1 v8_1 v3_2 v4_2 v6_2 v7_2 v8_2 v3_3 v4_3 v6_3 v7_3 v8_3 v3_4 v4_4 v6_4 v7_4 v8_4 name phone add
*Sorting by household ID
sort hhid2004
save "$out\section2.dta", replace

*Renaming variables in Section 3
use $d04\section3_1.dta, clear
*Renaming variables
rename a2 hhid_DRA
rename hhid hhid2004
rename c1 foodcode
rename a1_1 eat_yn
rename a3 purchasd
rename n1 gift
rename n2 payment
rename a5b ownprod
*Sorting by household ID
sort hhid2004
save "$out\section3.dta", replace

*Renaming variables in Section 4-1
use $d04\section4_1.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename c1 rnfs_c
rename r1 rnfs_a
*Sorting by household ID
sort hhid2004
save "$out\section4_1.dta", replace

*Renaming variables in Section 4-2
use $d04\section4_2.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename c1 onfs_c
rename r1 onfs_a
*Sorting by household ID
sort hhid2004
save "$out\section4_2.dta", replace

*Renaming variables in Section 4-3
use $d04\section4_3.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename c1 durable
rename n1 own_yn
rename n2 pcode
rename n3 value
*Renaming variables not explicit in survey, but in the data
rename c1o durabl_o
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section4_3.dta", replace

*Renaming variables in Section 4-4
use $d04\section4_4.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename c1 lender
rename l1 loanno
rename n1 own_yn
rename n2 borrower
rename n3 initial
rename n4 loandate
rename n6 paiddate
*Renaming variables not explicit in survey, but in the data
rename c1o lender_o
rename n4a loandatm
rename n4b loandaty
rename n6a paiddatm
rename n6b paiddaty
*Sorting by household ID
sort hhid2004
save "$out\section4_4.dta", replace

*Renaming variables in Section 4-5
use $d04\section4_5.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename c1 asset
rename n1 asset_yn
rename n2 pcode
rename n3 value
*Renaming variables not explicit in survey, but in the data
rename c1o asset_o
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section4_5.dta", replace

*Renaming variables in Section 5-1
use $d04\section5_1.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q5_1 outcont_yn
rename a2_1 contname
rename n2 r_recvr
rename q1 r_relat
rename a5a r_cash_t
rename a5b r_cash_y
rename a5c r_cash_m
rename a6a r_inkind
rename a6b r_inkin1
rename a6c r_inkin2
*Sorting by household ID
sort hhid2004
save "$out\section5_1.dta", replace

*Renaming variables in Section 5-2
use $d04\section5_2.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q5_2 outrec_yn
rename a2_1 recname
rename n2 s_sender
rename q1 s_relat
rename a5a s_cash_t
rename a5b s_cash_y
rename a5c s_cash_m
rename a6a s_inkind
rename a6b s_inkin1
rename a6c s_inkin2
*Sorting by household ID
sort hhid2004
save "$out\section5_2.dta", replace

*Renaming variables in Section 6
use $d04\section6_1.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename c1 source_c
rename a1_1 assist_yn
rename a2a pcode1
rename a2b amt_rec1
rename a3a pcode2
rename a3b amt_rec2
rename a4a pcode3
rename a4b amt_rec3
*Renaming variables not explicit in survey, but in the data
rename c1o source_o
*Sorting by household ID and person code
sort hhid2004 pcode1 pcode2 pcode3
save "$out\section6.dta", replace

*Renaming variables in Section 7.1
use $d04\section7_1.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename a2_2 shock
rename a3 nshock
rename a4a month
rename a4b year
rename a5 duration
rename a6 income_d
rename a7 expense
rename a8 itmvalue
*Renaming variables not explicit in survey, but in the data
rename a2o shock_o
rename a4 shock_dte
rename a5w duratiow
*Sorting by household ID
sort hhid2004
save "$out\section7_1.dta", replace

*Renaming variables in Section 7.1
use $d04\section7_2.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename a21 shock
rename a3 pshock
rename a4a month
rename a4b year
rename a4 shock_dte
rename a5 duration
rename a6 income_i
rename a7 valuercv
*Renaming variables not explicit in survey, but in the data
rename a2o shock_o
*Sorting by household ID
sort hhid2004
save "$out\section7_2.dta", replace

*Renaming variables in Section 8-1-1
use $d04\section8_1_1.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q8_1_1 agpart
rename c1 agcode
rename q1 agric_yn
rename q2a partic1
rename q2b partic2
rename q2c partic3
*Sorting by household ID
sort hhid2004
save "$out\section8_1_1.dta", replace

*Renaming variables in Section 8-1-2
use $d04\section8_1_2.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename q8_1_2 plotlie_yn
rename n1 plot_no
rename n2a plot_sze
rename n2b plotunit
rename q1 own_yn
rename n6 owner
rename n7 tit_deed 
rename q2 access
*Renaming variables not explicit in survey, but in the data
rename n2ab plot_sz2
rename n2bo unit_o
rename q2o access_o
*Sorting by household ID and person code
sort hhid2004
save "$out\section8_1_2.dta", replace

*Renaming variables in Section 8-1-3
use $d04\section8_1_3.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename q8_1_3 crop_yn
rename a1a cropname
rename a1b crop
rename n2 harvest
rename a1c_1 unitname
rename a1c_2 unit
rename a1d unithrv
rename a1e1 unitsold
rename a1e2 avgprice
rename a1f unitlab
rename a1g unitland
rename q1 unitlost
rename n3 gets
*Renaming variables not explicit in survey, but in the data
rename a1bo crop_o
rename a1c_2o unit_o
sort hhid2004
save "$out\section8_1_3.dta", replace

*Renaming variables in Section 8-1-4A
use $d04\section8_1_4a.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename n3 tcrhire
rename q1 tcrh_yn
rename q2 numwkr
rename q3 dayswrk
rename n4c wage
rename n4d meals
*Sorting by household ID
sort hhid2004
save "$out\section8_1_4a.dta", replace

*Renaming variables in Section 8-1-4B
use $d04\section8_1_4b.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename n5 inputs_yn
rename n6b input
rename n6bo input_o
rename n6c value
*Sorting by household ID
sort hhid2004
save "$out\section8_1_4b.dta", replace

*Renaming variables in Section 8-1-4Linear
use $d04\section8_1_4linear.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename n7a received
rename n7b value
rename n8b land
rename n8a_1 rents
*Sorting by household ID
sort hhid2004
save "$out\section8_1_4linear.dta", replace

*Renaming variables in Section 8-2-1
use $d04\section8_2_1.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q8_2_1 lvstck
rename code lvstact
rename q1 lvstacp
rename q2a lvstckp1
rename q2b lvstckp2
rename q2c lvstckp3
*Sorting by household ID
sort hhid2004
save "$out\section8_2_1.dta", replace

*Renaming variables in Section 8-2-2
use $d04\section8_2_2.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q1 plotrent
rename n1 plot_no
rename n2 grazefee
rename n3 access
rename n4a size
rename n4b plotunit
rename n5 owner
rename n6a sell
rename n6b sellval
rename n7 tit_deed
rename n8 fence
rename n9 rent
*Sorting by household ID
sort hhid2004
save "$out\section8_2_2.dta", replace

*Renaming variables in Section 8-2-3
use $d04\section8_2_3.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q8_2_3 tanim_yn
rename n1c anim_yn
rename a2a own
rename a2b born
rename a2ca sold
rename a2cb sellpric
rename a2ea buy
rename a2eb buyprice
rename n3 slaughte
rename q2g died
rename n4 feedexp
rename n5 vetexp
*Sorting by household ID
sort hhid2004
save "$out\section8_2_3.dta", replace

*Renaming variables in Section 8-3
use $d04\section8_3.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q8_3 animprod
rename n1 product
rename n2 months
rename n3a unit
rename n3b avgprod
rename n4a avgsell
rename n4b avgprice
rename n5 avglab
rename n6 estprice
*Sorting by household ID
sort hhid2004
save "$out\section8_3.dta", replace

*Renaming variables in Section 8-4
use $d04\section8_4.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q8_4 tanhire
rename a1_1 lvstact
rename q1 tanh_yn
rename q2 numwkr
rename q3 dayswrk
rename n4c wage
rename n4d meals
*Sorting by household ID
sort hhid2004
save "$out\section8_4.dta", replace

*Renaming variables in Section 8-5
use $d04\section8_5.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename n1 permhire_yn
rename a1_1 wkrtyp
rename b1 numwkr
rename b2 months
rename c1 salary
rename q1 benefits
*Sorting by household ID
sort hhid2004
save "$out\section8_5.dta", replace

*Renaming variables in Section 8-6
use $d04\section8_6.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename q1 incsrce
rename q2 infarm
rename q3 value_ca
rename q4 value_ik
*Sorting by household ID
sort hhid2004
save "$out\section8_6.dta", replace

*Renaming variables in Section 9-1
use $d04\section9_1.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename a2_1 pcode
rename n1 hrswrk
rename a6 more_wrk
rename a11 time_spe
rename a8 reason_n
rename q1 rpcode
*Renaming variables not explicit in survey, but in the data
rename a8o reason_o
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section9_1.dta", replace

*Renaming variables in Section 9-2
use $d04\section9_2.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename a2b pcode
rename a3a k_occ_c
rename a3b k_emplyr
rename a3c k_sector
rename a3d k_hours
rename a3e k_overti
rename a4c p_paytyp
rename a4d p_netpay
rename a4e p_deduct
rename a4f p_grossp
rename a4g p_bonus
rename a5c subs_t
rename a5d subs_f
rename a5e subs_h
rename a5f subs_tu
rename q1 subs_pen
rename q2 subs_med
rename q3 subs_lea
rename q4 contract
*Renaming variables not explicit in survey, but in the data
rename a3acod k_occ_co
rename a3bo k_emplyo
rename a3co k_sectoro
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section9_2.dta", replace

*Renaming variables in Section 9-3
use $d04\section9_3.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename a2b pcode
rename n1 jobno
rename a3a occupatn
rename n2 dayswrk
rename a3d hours_v
rename a4c cash_pai
rename a4d food_ben
rename a4e benefit_
*Renaming variables not explicit in survey, but in the data
rename a3code occupatc
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section9_3.dta", replace

*Renaming variables in Section 9-4
use $d04\section9_4.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename q9_4 work_addl
rename a2_1 business
rename a3a mcode1_c
rename a3b mcode2_c
rename a3c mcode3_c
rename a4 grtime_1
rename a5 grsales_
rename a6 expen_1
rename n1 equipval
rename n2 owner
*Renaming variables not explicit in survey, but in the data
rename a2o busineso
*Sorting by household ID
sort hhid2004
save "$out\section9_4.dta", replace

*Renaming variables in Section 9-5
use $d04\section9_5.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename a1_1 pcode
rename q1 unemp_yn
rename q2_1 unemptim
rename q2_2 tcode
rename q3_1 barrier1
rename q3_2 barrier2
rename q3_3 barrier3
rename q3o1 barriero
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section9_5.dta", replace

*Renaming variables in Section 9-6A
use $d04\section9_6a.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename p1 pcode
rename q1 work_s93
rename q2 nwork_rn
rename q11 educ_end
rename q12 educ_job
rename q13 jobttl
rename a1_1 jobno
rename q3 wrktype
rename q4 begin_wrk
rename q5_1 wrksal_b
rename q5_2 tcode
rename q6 wrk_hrs
rename q7_1 wrksal_f
rename q7_2 tcode2
rename q8_1 wrk_time
rename q8_2 tcode3
rename q9 wrk_lve
rename q10_1 nwrk_time
rename q10_2 tcode4
*Renaming variables not explicit in survey, but in the data
rename q2o nwrk_rno
rename q12o educ_jobo
rename q4_1 begin_wrkm
rename q4_2 begin_wrky
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section9_6a.dta", replace

*Renaming variables in Section 9-6B
*Cannot notice a difference between 9-6a and 9-6b in the survey form, or in the data

*Renaming variables in Section 10-1
use $d04\section10_1.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename q10_1 ill_yn
rename code pcode
rename n1 sick
rename q1 sic_acc
rename q2_1 sic_timd
rename q2_2 sic_timm
rename q3 sic_care
rename q4a care_of2
rename q4b caregiv2
rename q5 care_ou2
rename q6 care_wr2
rename a8 care_con2
rename q7 nocons2
rename q8 aid2
rename a9c_1 med_exp
rename a9c_2 trav_exp
rename a9c_3 care_exp
rename a9c_4 hosp_exp
rename a9c_5 oth_exp
rename q9_1 savings
rename q9_2 gifts
rename q9_3 loans_f
rename q9_4 loans_b
*Renaming variables not explicit in survey, but in the data
rename q7o nocons2o
rename a9ctot exp_ot
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section10_1.dta", replace

*Renaming variables in Section 10-2
use $d04\section10_2.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename code pcode
rename q1 birth_yn
rename q2 birth_lwm
rename q3 birth_le
rename q4 birth_dec
rename q5 birth_nodec
rename q6 livebirths
rename q7 birth_date
rename a9 preg_now
*Renaming variables not explicit in survey, but in the data
rename q7_1 birth_datm
rename q7_2 birth_daty
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section10_2.dta", replace

*Renaming variables in Section 10-3
use $d04\section10_3.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename n1b pcode
rename n2 health
rename n3 health5y
rename n4 carryhvy
rename n5 walk5km
rename n6 heavyact
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section10_3.dta", replace

*Renaming variables in Section 11-1
use $d04\section11_1.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename code pcode
rename vip1n vipname1
rename vip1p vippos1
rename vip2n vipname2
rename vip2p vippos2
rename vip3n vipname3
rename vip3p vippos3
rename q1 vip1pers
rename q2 vip1help
rename q3 vip1bhlf
rename q4 vip2pers
rename q5 vip2help
rename q6 vip2bhlf
rename q7 vip3pers
rename q8 vip3help
rename q9 vip3bhlf
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section11_1.dta", replace

*Renaming variables in Section 11-2-1
use $d04\section11_2_1.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename code pcode
rename name resp
rename n6 safemal
rename n7a trst_fam
rename n7b trst_nbr
rename n7c trst_ldr
rename n7d trst_str
rename n7e trst_med
rename n7f trst_govt
rename n7g trst_gpr
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section11_2_1.dta", replace

*Renaming variables in Section 11-2-2
use $d04\section11_2_2.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename code pcode
rename q1a famtrust
rename q1b comtrust
rename q1c outtrust
rename q1d sharefam
rename q1e sharecom
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section11_2_2.dta", replace

*Renaming variables in Section 11-3a
use $d04\section11_3a.dta, clear
rename  a2 hhid_DRA
rename hhid hhid2004
rename code group
rename other group_o
rename n1_1 pcode1
rename n1_2 pcode2
rename n1_3 pcode3
rename n1_4 pcode4
rename n9 meet04
rename n10 perf04
*Sorting by household ID and person code
sort hhid2004 pcode1 pcode2 pcode3 pcode4
save "$out\section11_3a.dta", replace

*Renaming variables in Section 11-3b
use $d04\section11_3b.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename code church_cd
rename q3_1 pcode1
rename q3_2 pcode2
rename q3_3 pcode3
rename q3_4 pcode4
rename q5 church_wr
rename q4 church_at
*Renaming variables not explicit in survey, but in the data
rename other church_cdo
*Sorting by household ID and person code
sort hhid2004 pcode1 pcode2 pcode3 pcode4
save "$out\section11_3b.dta", replace

*Renaming variables in Section 12-1
use $d04\section12_1.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename q3 csg_yn
rename q4_1 wlfnme
rename q4_2 wlfcode
rename q5 wlffrm
rename q6 grantwai
rename q7 csgdte
rename q8 grantrec
rename q9 csgpay1
rename q10 csgmnths
rename q11 csgnow_y
rename q12 nocsg
rename q13 nocsgapp
*Renaming variables not explicit in survey, but in the data
rename q5_1 wlffrm_m
rename q5_2 wlffrm_y
rename q7_1 csgdte_m
rename q7_2 csgdte_y
rename q12o nocsg_o
rename q13o nocsgapp_o
*Sorting by household ID
sort hhid2004
save "$out\section12_1.dta", replace

*Renaming variables in Section 12-2
use $d04\section12_2.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename q1 pcode
rename q2 schl_yn
rename q3 schlenrl
rename q4 prprim_y
rename  q5 beg_prim
rename q6 graderpt
rename q7 gradecom
rename q8 enrolld
rename q9 enrolly
rename q10 nenroll
rename q11 return
rename q12 schlname
rename q13 town
rename q14 emisno
rename q15 fees
rename q16_1 pdfees
rename q16_2 pdunif
rename q17_1 pdtrans
rename q17_2 pdsup
rename q17_3 pdfd
rename q17o pdoth
rename q18 absence
rename q19 absreas
rename q20 absdays
rename q21 absreas2
*Renaming variables not explicit in survey, but in the data
rename q10o nenroll_o
rename q17tot pdtot
rename q19o absreas_o
rename q21o absreas2_o
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section12_2.dta", replace

*Renaming variables in Section 13-1
use $d04\section13_1.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename code pcode
rename q1 blang
rename q2 rlevel
rename q3 wlevel
rename lang rwlang
rename q4 mathsum
rename q5 mathsub
rename q6 mathprod
rename q7 mathdiv
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section13_1.dta", replace

*Renaming variables in Section 13-2
use $d04\section13_2.dta, clear
*Renaming variables explicit in survey
rename a2 hhid_DRA
rename hhid hhid2004
rename code pcode
rename q1a1 mweighta
rename q1a2 mweightb
rename q1b1 mcweighta
rename q1b2 mcweightb
rename q1c1 cweighta
rename q1c2 cweightb
rename q2a cheighta
rename q2b cheightb
rename q3 date_bir
rename q3b gender
rename q4 source_b
rename n1 breastfe
rename n2 weaned
rename q5 rmeal
rename q6 crechehr
*Renaming variables not explicit in survey, but in the data
rename q3d date_bird
rename q3m date_birm
rename q3y date_biry
rename q4o source_o
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section13_2.dta", replace

*Renaming variables in Section 13-3
use $d04\section13_3.dta, clear
rename a2 hhid_DRA
rename hhid hhid2004
rename code pcode
rename q1 rmeal
rename q2a cweight2a
rename q2b cweight2b
rename q3a cheight2a
rename q3b cheight2b
*Sorting by household ID and person code
sort hhid2004 pcode
save "$out\section13_3.dta", replace


